using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Recognition.Tracking;
using bbiwarg.Utility;
using bbiwarg.Input.InputHandling;

namespace bbiwarg.Recognition.FingerRecognition
{

    class FingerTracker : Tracker<Finger, TrackedFinger>
    {
        public void trackFingers(FrameData frameData) {
            trackObjects(frameData.DetectedFingers);
            frameData.TrackedFingers = getCurrentObjectsWithState(TrackingState.Tracked);
        }

        protected override TrackedFinger createTrackedObject(Finger detectedObject)
        {
            return new TrackedFinger(idPool.getNextUnusedID(), detectedObject, Parameters.FingerTrackerNumFramesDetectedUntilTracked, Parameters.FingerTrackerNumFramesLostUntilDeleted);
        }
    }
}
